# Review Request:
# https://bugzilla.redhat.com/show_bug.cgi?id=432613

%define kdeversion 4.2.3

Name:           kuickshow
Version:        0.9.1
Release:        1%{?dist}
Summary:        Image viewer

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://extragear.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{kdeversion}/src/extragear/%{name}-%{version}-kde%{kdeversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel >= 4
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  imlib-devel


%description
KuickShow is a very fast and comfortable imageviewer, somewhat inspired
by ACDSee (early versions :)


%prep
%setup -qn %{name}-%{version}-kde%{kdeversion}


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf %{buildroot} 


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/kuickshow.desktop ||:


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING README 
%{_kde4_bindir}/kuickshow
%{_kde4_appsdir}/kuickshow/
%{_kde4_datadir}/applications/kde4/kuickshow.desktop
%{_kde4_libdir}/libkdeinit4_kuickshow.so
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Fri Jun 26 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-1
- kuickshow-0.9.1 (first try)

